import { OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Subscription } from 'rxjs';
import { IPage, IPageMap } from '../../models/page.model';
import { IElementsMaps, INgSurvey } from '../../models';
import { NgSurveyStore } from '../../store/ng-survey.store';
export declare class NgSurveyViewerComponent implements OnInit, OnDestroy {
    private _ngSurveyStore;
    private router;
    survey: INgSurvey;
    surveyId: string;
    surveySub: Subscription;
    pageSize: number;
    pages: IPageMap;
    page: IPage;
    pageNext: IPage;
    pagePrev: IPage;
    elementsSub: Subscription;
    elements: IElementsMaps;
    showSummary: boolean;
    isLoading: boolean;
    isSurveyEmpty: boolean;
    constructor(_ngSurveyStore: NgSurveyStore, router: Router);
    ngOnInit(): void;
    ngOnDestroy(): void;
    initNavigation(): void;
    nextPage(): void;
    getCurrentPage(pageUrlId: string): void;
    getNextPage(pageUrlId: string): void;
    getPreviousPage(pageUrlId: string): void;
    getCurrentPageUrlId(): string;
    checkSurveyEmpty(): boolean;
}
